libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ryan McLean (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (LIBCLOUD-542) Authentication against OpenStack stopped working
Date Wed, 16 Dec 2015 08:33:46 GMT

    [ https://issues.apache.org/jira/browse/LIBCLOUD-542?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15059694#comment-15059694
] 

Ryan McLean commented on LIBCLOUD-542:
--------------------------------------

Keystone Log output:
1.2015-12-15 17:24:17.648 1654 DEBUG keystone.middleware.core [-] Auth token not in the request
header. Will not build auth context. process_request /usr/lib/python2.7/dist-packages/keystone/middleware/core.py:229
2.2015-12-15 17:24:17.650 1654 INFO keystone.common.wsgi [-] POST /?
3.2015-12-15 17:24:17.651 1654 ERROR keystone.common.wsgi [-] get_version_v2() got an unexpected
keyword argument 'auth'
4.2015-12-15 17:24:17.651 1654 TRACE keystone.common.wsgi Traceback (most recent call last):
5.2015-12-15 17:24:17.651 1654 TRACE keystone.common.wsgi   File "/usr/lib/python2.7/dist-packages/keystone/common/wsgi.py",
line 239, in __call__
6.2015-12-15 17:24:17.651 1654 TRACE keystone.common.wsgi     result = method(context, **params)
7.2015-12-15 17:24:17.651 1654 TRACE keystone.common.wsgi TypeError: get_version_v2() got
an unexpected keyword argument 'auth'
8.2015-12-15 17:24:17.651 1654 TRACE keystone.common.wsgi
9.2015-12-15 17:24:17.653 1654 INFO eventlet.wsgi.server [-] 10.111.111.111,10.222.222.222
- - [15/Dec/2015 17:24:17] "POST /v2.0 HTTP/1.1" 400 302 0.005443
*********************************
Error Message is: 
libcloud.common.exceptions.BaseHTTPError: {"error": {"message": "get_version_v2() got an unexpected
keyword argument 'auth'", "code": 400, "title": "Bad Request"}}

Libcloud version is latest available in pip so 0.19 i believe. 



> Authentication against OpenStack stopped working
> ------------------------------------------------
>
>                 Key: LIBCLOUD-542
>                 URL: https://issues.apache.org/jira/browse/LIBCLOUD-542
>             Project: Libcloud
>          Issue Type: Bug
>          Components: Compute
>            Reporter: Torsten Schlabach
>            Priority: Blocker
>
> We are using the OpenStack driver against our own cloud server.
> This is the code we use for connecting and retrieving a list of images:
> fg_compute = driver(USERNAME, PASSWORD, host=STACKHOST, port=8774,
> secure=False,
>                     ex_tenant_name=TENANTNAME,
>                     ex_force_auth_version='2.0_password',
>                     ex_force_service_name='nova',
>                     ex_force_auth_url='http://%s:5000/v2.0/' % STACKHOST)
> images = fg_compute.list_images()
> This used to work until we switched to the latest trunk code today; now getting the following
error message:
> Traceback (most recent call last):
>   File "mail.py", line 86, in <module>
>     images = fg_compute.list_images()
>   File "/usr/local/lib/python2.7/dist-packages/apache_libcloud-0.14.1-py2.7.egg/libcloud/compute/drivers/openstack.py",
line 297, in list_images
>     self.connection.request('/images/detail').object, ex_only_active)
>   File "/usr/local/lib/python2.7/dist-packages/apache_libcloud-0.14.1-py2.7.egg/libcloud/compute/drivers/openstack.py",
line 161, in request
>     method=method, headers=headers)
>   File "/usr/local/lib/python2.7/dist-packages/apache_libcloud-0.14.1-py2.7.egg/libcloud/common/openstack.py",
line 575, in request
>     return super(OpenStackBaseConnection, self).request(**kwargs)
>   File "/usr/local/lib/python2.7/dist-packages/apache_libcloud-0.14.1-py2.7.egg/libcloud/common/base.py",
line 600, in request
>     action = self.morph_action_hook(action)
>   File "/usr/local/lib/python2.7/dist-packages/apache_libcloud-0.14.1-py2.7.egg/libcloud/common/openstack.py",
line 571, in morph_action_hook
>     self._populate_hosts_and_request_paths()
>   File "/usr/local/lib/python2.7/dist-packages/apache_libcloud-0.14.1-py2.7.egg/libcloud/common/openstack.py",
line 600, in _populate_hosts_and_request_paths
>     osa.authenticate()  # may throw InvalidCreds
>   File "/usr/local/lib/python2.7/dist-packages/apache_libcloud-0.14.1-py2.7.egg/libcloud/common/openstack.py",
line 157, in authenticate
>     return self.authenticate_2_0_with_password()
>   File "/usr/local/lib/python2.7/dist-packages/apache_libcloud-0.14.1-py2.7.egg/libcloud/common/openstack.py",
line 252, in authenticate_2_0_with_password
>     return self.authenticate_2_0_with_body(reqbody)
>   File "/usr/local/lib/python2.7/dist-packages/apache_libcloud-0.14.1-py2.7.egg/libcloud/common/openstack.py",
line 264, in authenticate_2_0_with_body
>     driver=self.driver)
> libcloud.common.types.MalformedResponseError: <MalformedResponseException in None
'Malformed response'>: 'code: 400 body: {"error": {"message": "get_version_v2() got an
unexpected keyword argument \'auth\'", "code": 400, "title": "Bad Request"}}'



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message